﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Quality
{
	public class AiQualityDto
	{
		/// <summary>
		/// 录音来源方式：sftp,ftp,http，nas
		/// </summary>
		public string AudioSource { get; set; } = "ftp";

		/// <summary>
		/// 工单号：录音的唯一ID
		/// </summary>
		public string RecordID { get; set; }

		/// <summary>
		/// 录音的存储路径：此处录音路径格式与audioSource方式有关
		/// </summary>
		public string RecordPath { get; set; }

		/// <summary>
		/// 坐席工号
		/// </summary>
		public string AgentID { get; set; }

		/// <summary>
		/// 坐席组编号
		/// </summary>
		public string AgentTeamID { get; set; } = "0";

		/// <summary>
		/// 来电号码
		/// </summary>
		public string CallNumber { get; set; }

		/// <summary>
		/// 来电时间，固定格式：yyyy-MM-dd HH:mm:ss
		/// </summary>
		public string CallTime { get; set; }

		/// <summary>
		/// 录音格式
		/// </summary>
		public string RecordForm { get; set; }

		/// <summary>
		/// 采样率
		/// </summary>
		public string SamplingRate { get; set; } = "8k";

		/// <summary>
		/// 编码方式
		/// </summary>
		public string Encoding { get; set; } = "16bit";

		/// <summary>
		/// 声道数(1:单声道，2：双声道)
		/// </summary>
		public string SoundChannel { get; set; } = "2";

		/// <summary>
		/// 坐席对应声道(1:单声道，2：双声道，左声道为坐席，3：双声道，右声道为坐席)
		/// </summary>
		public string AgentChannel { get; set; } = "3";

		/// <summary>
		/// 扩展字段
		/// </summary>
		public string Extend { get; set; } 
	}
}
